Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2022-01-11 11:292022-01-19 08:17
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in VersionPR22Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048372: Add test constant for QA Admin Role in OBBaseTest

DescriptionCurrently the OBBaseTest class has several constants that help to point to different entities (clients, orgs, users, roles etc.)

It would be nice to also have a constant for the QA Admin Role.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0048424 acknowledgedablasco Centralize test constant definition in TestConstants 

-  Notes
(0134203)
hgbot (developer)
2022-01-11 11:36

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/496 [^]
(0134345)
hgbot (developer)
2022-01-17 17:08

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 768b6c33878c84441668c45f30ee0e394233cf06
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 17-01-2022 16:08:21
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/768b6c33878c84441668c45f30ee0e394233cf06 [^]

fixes ISSUE-48372: Add constant for QA Admin Role

---
M src-test/src/org/openbravo/test/base/OBBaseTest.java
---
(0134346)
hgbot (developer)
2022-01-17 17:08

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/496 [^]
(0134367)
hgbot (developer)
2022-01-18 15:27

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: f1ff566cd656856b8a51dec6022d3512399ad9a1
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 18-01-2022 15:27:08
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/f1ff566cd656856b8a51dec6022d3512399ad9a1 [^]

related to ISSUE-48372: revert change

  Do not add the constant as it is already available in TestConstants
class

---
M src-test/src/org/openbravo/test/base/OBBaseTest.java
---

- Issue History
Date Modified Username Field Change
2022-01-11 11:29 caristu New Issue
2022-01-11 11:29 caristu Assigned To => Triage Platform Base
2022-01-11 11:29 caristu Modules => Core
2022-01-11 11:29 caristu Triggers an Emergency Pack => No
2022-01-11 11:36 hgbot Note Added: 0134203
2022-01-11 15:46 caristu Assigned To Triage Platform Base => caristu
2022-01-17 17:08 hgbot Resolution open => fixed
2022-01-17 17:08 hgbot Status new => closed
2022-01-17 17:08 hgbot Fixed in Version => PR22Q2
2022-01-17 17:08 hgbot Note Added: 0134345
2022-01-17 17:08 hgbot Note Added: 0134346
2022-01-18 15:27 hgbot Note Added: 0134367
2022-01-19 08:17 caristu Issue cloned 0048424
2022-01-19 08:17 caristu Relationship added related to 0048424


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker